#include <syscall.h>

#define __KERNEL__ 
#include <sys/msg.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
msgget (key_t key, int msgflg)
{
    return ipc (MSGGET, key, msgflg, 0, NULL);
}


